# plot hist of HE pixel intensities
plt.hist(equalized_image[:,:].flatten(),50,label="HE",
         edgecolor="k",linewidth=1,facecolor="blue",
         alpha=0.75)
# plot hist of grayscale pixel intensities
plt.hist(gray_image[:,:].flatten(),50,
         label="grayscale",edgecolor="k",linewidth=1,
         facecolor="red",alpha=0.75)
plt.xlim([0,1])
plt.xlabel("pixel intensity",size=16)
plt.ylabel("frequency",size=16)
plt.legend(loc="best")
plt.tight_layout()
plt.savefig("./../images/histogram_HE.png")
plt.close()
