import skimage.io as io
import skimage.color as color
import matplotlib.pyplot as plt
import numpy as np

# read image into memory
image = io.imread("monkey.jpg")
n_row, n_col, colours = image.shape

# Flip the image horizontally
for i in range(0,n_row):
    for j in range(0,int(n_col/2)):
        t = image[i,j].copy()
        image[i,j] = image[i, n_col-j-1]
        image[i, n_col-j-1] = t

# this is equivalent to:
#image = image[:,::-1]

# this is also equivalent to:
#image = np.flip(image, 1)
        
plt.imshow(image)
plt.show()
io.imsave("monkey_flipped_right.jpg",image)
