import matplotlib.pyplot as plt

for index,label in zip([0,1,2],["red","green","blue"]):
        # .flatten() converts 2D list to 1D
	plt.hist(image[:,:,(index)].flatten(),50
             ,label=label,edgecolor="k",linewidth=1,
             facecolor=label[0],alpha=0.75)
	plt.xlabel("pixel intensity",size=16)
	plt.xlim([0,255])
	plt.ylabel("frequency",size=16)
	plt.tight_layout()
	plt.savefig("./../images/histogram_"+label+".png")
	plt.close()
