import skimage.io as io
import skimage.color as color
import matplotlib.pyplot as plt

# read image into memory
image = io.imread("monkey.jpg")

n_row, n_col, n_colours = image.shape
print(n_row, n_col, n_colours)  # prints (1362, 2048, 3)

# print pixel value at row 156 and column 293
pixel = image[156,292]
print(pixel)  # prints [112 158 147] = green-bluish color

# Create a pink rectangle between rows 700-800
# and column 1000-1200
for i in range(700,800):    
    for j in range(1000,1200):
        image[i,j] = (255,0,255)
        
# this is equivalent to:
#image[700:800,1000:1200] = (255,0,255)
        
plt.imshow(image)
plt.show()
io.imsave("monkey_bar.jpg",image)
