import skimage.io as io
import skimage.color as color
import matplotlib.pyplot as plt

# read image into memory
image = io.imread("monkey.jpg")

size = image.shape
print(size)  # prints (1362, 2048, 3)

# print pixel value at row 156 and column 293
pixel = image[156,292]
print(pixel)  # prints [112 158 147] = green-blue color

# change pixel value to red
image[156,292]=(255,0,0)

# Create a pink rectangle between rows 1000-1200
# and column 500-900
for i in range(1000,1200):
    for j in range(500,900):
        image[i,j] = (255,0,255)
        
plt.imshow(image)
plt.show()
io.imsave("monkey_bar.jpg",image)
