import skimage.io as io
import skimage.color as color
import matplotlib.pyplot as plt

# read image into memory
image = io.imread("monkey.jpg")

# Create the negative of an image
for i in range(image.shape[0]):
    for j in range(image.shape[1]):
        for c in range(3):
            image[i,j,c] = 255-image[i,j,c]
        
# we could just have written: 
#image = 255 - image

plt.imshow(image)
plt.show()
io.imsave("monkey_negative.jpg",image)
