import skimage.io as io
import matplotlib.pyplot as plt
from skimage.transform import resize

monkey = io.imread("monkey.jpg")
tiger = io.imread("tiger.jpg")

#plt.imshow(monkey)
#plt.show()
print(monkey.shape)
monkey_head = monkey[618:774,1017:1176]
#plt.imshow(monkey_head)
#plt.show()

print(tiger.shape)
tiger_head = tiger[72:257,606:762]
#plt.imshow(tiger_head)
#plt.show()

print(monkey_head.shape)
print(tiger_head.shape)

tiger_head_resized = resize(tiger_head, (774-618, 1176-1017))
monkey_head_resized = resize(monkey_head, (257-72, 762-606))

monkey[618:774,1017:1176] = tiger_head_resized*255
tiger[72:257,606:762] = monkey_head_resized*255

#plt.imshow(monkey)
#plt.show()

#plt.imshow(tiger)
#plt.show()

io.imsave("monkey_tiger.jpg", monkey)
io.imsave("tiger_monkey.jpg", tiger)
