import skimage.io as io
import matplotlib.pyplot as plt
from skimage.color import rgb2gray
import numpy as np

image = io.imread("monkey.jpg")
gray_image = rgb2gray(image)
#print(gray_image[0,0])
# prints: 1.0
binary_image = np.where(gray_image > np.mean(gray_image),1.0,0.0)

plt.imshow(binary_image, cmap='gray')
plt.show()
io.imsave("monkey_binary.jpg",binary_image)
print(binary_image[0,0])
# prints: 1.0
