from skimage.filters import gaussian

equalized_image = equalize_hist(gray_image)
for sigma,name in zip([3,6],["blurred","really_blurred"]):
	blurred_image = gaussian(equalized_image,sigma=sigma)
	fig,ax = plt.subplots()
	ax.imshow(blurred_image,vmin=0, vmax=1)
	# remove ticks
	ax.set_xticks([])
	ax.set_yticks([])
	# remove spines
	for spine in ["top","bottom","right","left"]:
		ax.spines[spine].set_visible(False)
	plt.savefig("./../images/monkey_"+name+".jpg")
	plt.close()
