import skimage.io as io
import skimage.color as color
import matplotlib.pyplot as plt
from skimage.color import rgb2gray
import numpy as np

image = io.imread("monkey.jpg")
n_row, n_col, colors = image.shape

# create a blank image
new_image = np.zeros( (n_row, n_col, 3), dtype=np.uint8)
filter_size = 5
for i in range(0,n_row):
    for j in range(0,n_col):
        m = image[max(0,i-5):min(i+5,n_row-1),max(0,j-5):min(n_col,j+5),0].mean(axis=(0,1))
        new_image[i,j] = m
        
plt.imshow(new_image)
plt.show()
io.imsave("monkey_smooth.jpg",new_image)
