from skimage.color import rgb2gray
import skimage.io as io
import matplotlib.pyplot as plt

# read image into memory
image = io.imread("monkey.jpg")
# convert to grayscale
gray_image = rgb2gray(image)
plt.imshow(gray_image, cmap='gray')
plt.show()
io.imsave("monkey_grayscale.jpg",gray_image)

print(image[0,0])
# prints: [255 255 255]
print(gray_image[0,0])
# prints: 1.0
